#! /usr/bin/python

import subprocess as SUB

import distutils.core as DC
import mdwsetup as MS

if MS.needs_update_p('getdate.c', ['getdate.y']):
  rc = SUB.call(['bison', '-o', 'getdate.c', 'getdate.y'])
  if rc:
    raise MS.SubprocessFailure, ('bison', rc)

getdate = DC.Extension('getdate',
                       ['module.c', 'getdate.c'])

DC.setup(name = 'getdate-python',
         version = MS.auto_version(),
         description = 'Date/time parser',
         author = 'Mark Wooding',
         author_email = 'mdw@distorted.org.uk',
         license = 'GNU General Public License',
         ext_modules = [getdate])
